﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Default.aspx.vb" Inherits="_Default" %>

<%@ Register Assembly="Infragistics45.Web.jQuery.v16.2, Version=16.2.20162.2043, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.EditorControls" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>

    <link type="text/css" href="ig_ui/css/theme/infragistics/infragistics.theme.css" rel="stylesheet" />
    <link type="text/css" href="ig_ui/css/structure/infragistics.css" rel="stylesheet" />
    <script type="text/javascript" src="scripts/jquery.min.js"></script>
    <script type="text/javascript" src="scripts/jquery-ui.min.js"></script>
    <script type="text/javascript" src="ig_ui/js/infragistics.js"></script>

    <script type="text/javascript">
        function getErrorDescr(args) {
            // Gets the type of the error, thrown from the server.
            // All the codes are mapped with the error type.
            switch (args.errorCode) {
                case 0: return "File error occurs when getting file name from the request";
                case 1: return "MIME type validation failed";
                case 2: return "File size exceeded";
                case 3: return "Temporary folder where file should be uploaded could not be found";
                case 4: return "Error while parsing request header";
                case 5: return "File does not exist with the specified key in the request";
                case 6: return "Error occurs when file saving fails";
                case 7: return "Error occurs when trying to write file content";
                case 8: return "Error occurred when trying to write file content for the first time";
                case 9: return "Error occurred when trying to delete file";
                case 10: return "Error set when fileupload is cancelled on start uploading in event handler";
            }
        }

        function uploadError(e, args) {
            if (args.errorCode != 10)
                alert('Error uploading file: #' + args.errorCode + '\n Desc:' + getErrorDescr(args) + '\n Message:' + args.errorMessage);
            else
                alert('Upload completed!');
        }
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <div>
        File to Upload <br />
        <asp:DropDownList ID="ddlFileName" runat="server">
            <asp:ListItem Text="Activity" Value="Activity"></asp:ListItem>
            <asp:ListItem Text="Degree" Value="Degree"></asp:ListItem>
            <asp:ListItem Text="Major" Value="Major"></asp:ListItem>
        </asp:DropDownList>
        <br />
        <br />
        Action to take <br />
        <asp:DropDownList ID="ddlFileUploadAction" runat="server">
            <asp:ListItem Text="Update" Value="Update"></asp:ListItem>
            <asp:ListItem Text="Replace" Value="Replace"></asp:ListItem>
        </asp:DropDownList>  
        <br /><br />
        Alternate method of choosing file to upload<br />
        <asp:RadioButton ID="rbtnActivity" runat="server" Text="Activity" GroupName="FileName" />
        &nbsp;&nbsp;&nbsp;
        <asp:RadioButton ID="rbtnDegree" runat="server" Text="Degree" GroupName="FileName" />
        &nbsp;&nbsp;&nbsp;
        <asp:RadioButton ID="rbtnMajor" runat="server" Text="Major" GroupName="FileName" />

        <ig:WebUpload ID="WebUpload1" runat="server"></ig:WebUpload>
    </div>
    </form>
</body>
</html>
